
#include <stdio.h>
#include <math.h>
#include <assert.h>

#define PI 3.14159265

FILE *in;

int h, w, alpha;
double a, d, x, bog;

int read_case() {
  assert ( fscanf(in, "%d %d %d", &w, &h, &alpha) >= 3);
  if ((w == 0) && (h == 0) && (alpha == 0))
    return 0;
  return 1;
}

void solve_case() {
  bog = (double) alpha / 360.0 * 2 * PI;
  if ((w == 0) || (h == 0))
    a = 0.0;
  else if (alpha == 90)
    a = (double) w*h;
  else {
    d = (double) w * (tan((double)bog));
    if (d < (double) h)
      a = 0.5 * (double) w * (double) (d);
    else {
      x = (double) h / tan((double)bog);
      a = (double) h * ((double) w - x*0.5);
    }
  }
  printf ("%.2f\n", a);
}

int main() {
  in = fopen ("cup.in", "r");
  while (read_case())
    solve_case();

  return 0;
}      
