


#include <stdio.h>
#include <stdlib.h>
#include <assert.h>

FILE *in;
int caseno;
int n;
int A[11][11];



int readcase() {
  int i,j;
  
  fscanf (in,"%d", &n);
  if ( n == 0 )
    return(0);
  for (i=0; i<n; ++i)
    for (j=0; j<n; j++)
      fscanf(in, "%d", &(A[i][j]));
  return(1);
}

void solvecase() {
  int i,j;
  int sum, cand;

  sum=0;
  for (i=0; i<n; ++i) 
    sum += A[0][i];
  
  for (i=1; i<n; ++i) {
    cand = 0;
    for (j=0; j<n; ++j)
      cand += A[i][j];
    if (cand != sum) {
      printf("This square is not magic.\n\n");
      return;
    }
  }
  
  cand =0;
  for (i=0; i<n; ++i)
    cand += A[i][i];
  if (cand != sum) {
    printf("This square is not magic.\n\n");
    return;
  } 
  
  cand =0;
  for (i=0; i<n; ++i)
    cand += A[i][n-1-i];
  if (cand != sum) {
    printf("This square is not magic.\n\n");
    return;
  }  

  printf("This square is magic.\n\n");
  
}
  
      
    
  


int main() { 

  in = fopen("magic.in","r");

  for (caseno=1; readcase() ; caseno++) { 
    printf("Square %d\n", caseno);
    solvecase();
  }
  
  fclose(in);

  return 0;
} 
